Subject: bug#16919: [PATCH] fix mismatch between dfa and regex for treatment of titlecase

From: Norihiro Tanaka <[email-masked]>
Date: Tue, 04 Mar 2014 08:57:03 +0900

Paul Eggert wrote:
> On second thought, I may have been too strict here.  I suppose one
> could interpret POSIX to say that since 'σ' == tolower (toupper ('?')),
> that it should be OK for the pattern 'σ' to match the string '?' when
> ignoring case, even though the characters differ and are both lowercase.

I don't think such.  Final sigma is neither uppwercase nor lowercase of
sigma, as you have said firstly.  In addition, it isn't even titlecase
of sigma.

Even if that behavior of regex is right, it won't work correctly for a
character that only one lowercase is assigned to two uppercases. (Though,
I don't know such a character.)

Norihiro